#
# Setup specific parameters for Classic NOR flash
# after target-side code loaded and started, 
# after ready-state breakpoint occured
#

getsym $coff _cmd_offsets

PutLong $DEV $_cmd_offsets_addr $_cmd_offsets_pg [lindex $cmd_offsets 0]

# calculate address increment.
# for CPU's with 8-bit word increment is 4
# for CPU's with 16-bit word increment is 2
# for CPU's with 32-bit word increment is 1
set offset_incr [expr 1 << (2-$word_width)]

if { [string equal $cpu_type "TMS320C5500"] &&
     ($_cmd_offsets_pg == 0) } {
  set offset_incr 4
}

PutLong $DEV [expr $_cmd_offsets_addr + $offset_incr] $_cmd_offsets_pg [lindex $cmd_offsets 1]

